import { ApplicationConfig, provideZoneChangeDetection } from '@angular/core';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

localStorage.setItem("company","cDL6R1hgSi")

import { routes } from './app.routes';

import { provideIonicAngular } from '@ionic/angular/standalone';
import { Diagnostic } from '@awesome-cordova-plugins/diagnostic/ngx';

localStorage.setItem("company","cDL6R1hgSi")

export const appConfig: ApplicationConfig = {
  providers: [
    Diagnostic,
    provideHttpClient(),
    provideZoneChangeDetection({ eventCoalescing: true }),
    provideRouter(routes),
    provideIonicAngular({mode:"ios"}),
    provideAnimations()
  ]
};
